Create Template
POST
/api/canvas/templates
const url = 'https://example.com/api/canvas/templates';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"","org_id":"example","deal_type":"","asset_type":"","section_schema":{"additionalProperty":{}},"section_order":["example"],"is_default":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/templates \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "", "org_id": "example", "deal_type": "", "asset_type": "", "section_schema": { "additionalProperty": {} }, "section_order": [ "example" ], "is_default": false }'Create a new document template.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
CreateTemplateRequest
object
name
required
Name
string
description
Description
string
deal_type
Deal Type
string
asset_type
Asset Type
string
section_schema
Section Schema
object
key
additional properties
object
key
additional properties
any
section_order
Section Order
Array<string>
is_default
Is Default
boolean
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}